#!/usr/bin/awk -f

BEGIN{
  pi = 3.1415926535; rad = 180./pi; deg = pi/180.;

  a1 = 2.1;	# AU
  a2 = 3.3;
  e1 = 0.0;
  e2 = 1.0;
  i1 = 0.;
  i2 = asin(1.0)*rad;
}
{
  a=substr($0,169,14)+0.;		# this is for NEW AstOrb format
  e=substr($0,158,12)+0.;
  i=substr($0,148,11)+0.;
  peri=substr($0,126,12)+0.;
  node=substr($0,137,12)+0.;
  m=substr($0,115,12)+0.;

  q = a*(1.-e);
  Q = a*(1.+e);

  if ((a>=a1) && (a<=a2) && (e>=e1) && (e<=e2) && (i>=i1) && (i<=i2) && (q >= 1.66)) {
    print;
  }
}


func asin(x) {
  return atan2(x,sqrt(abs(1.-x**2)));
}

func abs(x) {
  if (x > 0) {
    return x;
  } else {
    return -x;
  }
}


